Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.grid.GUI.dialogs
Class DialogManager

    java.lang.Object
      devisor2.grid.GUI.dialogs.DialogManager

public class DialogManager
extends java.lang.Object

Field Summary
`static int` | `BOUNDARYNODEDIALOG`
`static int` | `CHANGEBOUNDARYDIALOG`
`static int` | `CIRCLEDIALOG`
`static int` | `DIALOGCOUNT`
`static int` | `EDGESTATUSDIALOG`
`static int` | `LINEDIALOG`
`static int` | `LOADBALANCINGDIALOG`
`static int` | `MACRODIALOG`
`static int` | `MERGEBOUNDARIESDIALOG`
`static int` | `MIRRORDIALOG`
`static int` | `MULTIPLEBNDIALOG`
`static int` | `PARALLELBLOCKDIALOG`
`static int` | `PERIMETERDIALOG`
`static int` | `QUADDIALOG`
`static int` | `REFINEDIALOG`
`static int` | `ROTATEDIALOG`
`static int` | `SCALEDIALOG`
`static int` | `SPELLCHECKERDIALOG`
`static int` | `TRIDIALOG`

Constructor Summary
`DialogManager(MainFrame parent)`

Method Summary
`DockableDialog` | `get(int index)`
`void` | `hide(int dialog)`
`void` | `hideAll()`
`void` | `initDialogs()`
`void` | `refreshAllGUI()`
`void` | `refreshDialogs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIALOGCOUNT

    public static final int DIALOGCOUNT

See Also:
  Constant Field Values

### BOUNDARYNODEDIALOG

    public static final int BOUNDARYNODEDIALOG

See Also:
  Constant Field Values

### CHANGEBOUNDARYDIALOG

    public static final int CHANGEBOUNDARYDIALOG

See Also:
  Constant Field Values

### EDGESTATUSDIALOG

    public static final int EDGESTATUSDIALOG

See Also:
  Constant Field Values

### LINEDIALOG

    public static final int LINEDIALOG

See Also:
  Constant Field Values

### LOADBALANCINGDIALOG

    public static final int LOADBALANCINGDIALOG

See Also:
  Constant Field Values

### MERGEBOUNDARIESDIALOG

    public static final int MERGEBOUNDARIESDIALOG

See Also:
  Constant Field Values

### MIRRORDIALOG

    public static final int MIRRORDIALOG

See Also:
  Constant Field Values

### MULTIPLEBNDIALOG

    public static final int MULTIPLEBNDIALOG

See Also:
  Constant Field Values

### PARALLELBLOCKDIALOG

    public static final int PARALLELBLOCKDIALOG

See Also:
  Constant Field Values

### PERIMETERDIALOG

    public static final int PERIMETERDIALOG

See Also:
  Constant Field Values

### QUADDIALOG

    public static final int QUADDIALOG

See Also:
  Constant Field Values

### REFINEDIALOG

    public static final int REFINEDIALOG

See Also:
  Constant Field Values

### ROTATEDIALOG

    public static final int ROTATEDIALOG

See Also:
  Constant Field Values

### SCALEDIALOG

    public static final int SCALEDIALOG

See Also:
  Constant Field Values

### SPELLCHECKERDIALOG

    public static final int SPELLCHECKERDIALOG

See Also:
  Constant Field Values

### TRIDIALOG

    public static final int TRIDIALOG

See Also:
  Constant Field Values

### CIRCLEDIALOG

    public static final int CIRCLEDIALOG

See Also:
  Constant Field Values

### MACRODIALOG

    public static final int MACRODIALOG

See Also:
  Constant Field Values

Constructor Detail

### DialogManager

    public DialogManager(MainFrame parent)

Method Detail

### initDialogs

    public void initDialogs()

### refreshDialogs

    public void refreshDialogs()

### hide

    public void hide(int dialog)

### hideAll

    public void hideAll()

### get

    public DockableDialog get(int index)

### refreshAllGUI

    public void refreshAllGUI()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD